#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.0.3
visibility:           public
id:                   ghcide-1.4.0.3-2z5gOkIVmsfFxWEt0Pwikd
key:                  ghcide-1.4.0.3-2z5gOkIVmsfFxWEt0Pwikd
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  a199765f315f4f73207f0cb5f6647270
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.0.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ghcide-1.4.0.3
hs-libraries:         HSghcide-1.4.0.3-2z5gOkIVmsfFxWEt0Pwikd
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    Glob-0.10.1-7AkUlgrbM6TGl3laZ7SJMg
    aeson-1.5.6.0-EMNFVE8fJ8l4Y3HGKS2Pru array-0.5.4.0
    async-2.2.3-JYKLQKS337YI3EHAC7DhtO base-4.15.0.0
    base16-bytestring-1.0.1.0-4q9Lma1TDj6EXioeebaTcC binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.1.0-AjO4WeYPYm86FBYOQwAXX
    case-insensitive-1.2.1.0-94LDgzpiM05IVpeI5FygTF containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-76A50UqL08yHXaRzujd3cE
    data-default-0.7.1.1-IvZDod4GR1F6QW3rWcNSTn deepseq-1.4.5.0
    dependent-map-0.4.0.0-IdRnuf6hrsPKEZhw7WexAv
    dependent-sum-0.7.1.0-H7eeZsXazPd9ywezSU1esf directory-1.3.6.1
    dlist-1.0-A8ZakkvDKerBegx9VfkpzR extra-1.7.9-9Tdntvl0z7o9bNgOxU5KHM
    filepath-1.4.2.1 fingertree-0.1.4.2-L86zjCbIHrf9IxYcPJav85
    fuzzy-0.1.0.0-I2JKXDbIYwQ9LEhCF5H6S3 ghc-9.0.1
    ghc-api-compat-8.6.1-3GYFFbfr2XZ391lwrGN6OF ghc-boot-9.0.1
    ghc-boot-th-9.0.1 ghc-check-0.5.0.5-6TyM1rxS8ZU7yLLS6SKYcb
    ghc-exactprint-0.6.4-BkDEvA7GREEAPcDcmG7qRJ
    ghc-paths-0.1.0.12-D0EghxpsajHHuX2KoHY7KF
    ghc-trace-events-0.1.2.3-H9i6ubksa059TveTClHHiR
    haddock-library-1.10.0-21wB0Q2JOIxHfFob4fA8QX
    hashable-1.3.2.0-2579b4ed8EpGiVuNwiQjKE
    heapsize-0.3.0.1-I7RBN7jeD3y9M385V9k7Mk
    hie-bios-0.7.5-BmErUVeyBr6tbC7cwx6Wb
    hie-compat-0.2.0.0-HHVbuGAk8zeLJ4sWoPjDO6
    hiedb-0.4.0.0-HXVekZYkbtgHNqsAzuFU0a
    hls-graph-1.4.0.0-LVvOqahOd59IvNdyO1LK16
    hls-plugin-api-1.1.0.2-GV8ffwT6VW07q3EDfiGkcR
    hslogger-1.3.1.0-D9HGyA8Slhu6nfUTcN9v8K
    implicit-hie-cradle-0.3.0.5-uYs70J1EoKJa5TRJHHZRt
    lens-5.0.1-FdpuvmTBMS53qHfLYlRUsS
    lsp-1.2.0.0-Acd9t1CazGIKOVjrEcN0Ge
    lsp-types-1.2.0.0-BHGuySub9i8GbfNBgvl8Tt mtl-2.2.2
    network-uri-2.6.4.1-BF1HIHRcf8L4FYFNmmtGI3
    opentelemetry-0.7.0-9i7Tc0PgekQEg6qiCXKfEJ
    optparse-applicative-0.16.1.0-1oNXqZHhgpqGN4Eocke7To
    parallel-3.2.2.0-G9JTeCQCHda2yggytvFxi6
    prettyprinter-1.7.0-Cv93GjGYNLOKijRGj1JX2N
    prettyprinter-ansi-terminal-1.1.2-5qe0Fz1JoQ9F6MXazNfbvQ
    regex-tdfa-1.3.1.1-8KBKH3EsotI2v3BWqoG8PB
    retrie-1.0.0.0-7RyxTohHQs7LeGJ73psnNz
    rope-utf16-splay-0.3.2.0-4vJ1LnhtE008KB935gfC86
    safe-0.3.19-BCcHjTM7bV690cTfMWPidj
    safe-exceptions-0.1.7.2-6mgrpIt6RFzA5Cx3iIRipF
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU
    sqlite-simple-0.4.18.0-1BXPf7dB4ar1E5fmBr0gN1 stm-2.5.0.0
    syb-0.7.2.1-9I4m1q7TE3k3dX9vxe9jCw text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.19-eC3J1Kp2ltE0HGPdpPs99
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-9dFFYFCso8sGtsfFV1YYEC
    utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf
    vector-0.12.3.0-6sPLZXQdGWkHzsFcCKoHc

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

